/*
 * Created on Jan 28, 2004
 *
 * Copyright TimeSys Corp. 2003
 * All Rights Reserved
 */
package org.eclipse.cdt.toolchain;

/**
 * This is a class that actually discovers toolchains.  The factory may 
 * automatically discover its toolchain, or it may work in conjunction with 
 * an IToolchainEditor implementation to provide user defined toolchains.
 * @author jeremiah.lott
 */
public interface IToolchainFactory {

	IToolchain getToolchain(String toolchainId);
	
	IToolchain[] getToolchains();
	
}
