/*
 * Created on Jan 29, 2004
 *
 * Copyright TimeSys Corp. 2003
 * All Rights Reserved
 */
package org.eclipse.cdt.toolchain.tests;

import org.eclipse.cdt.managedbuilder.core.ITool;
import org.eclipse.cdt.managedbuilder.core.ToolReference;

/**
 * @author jeremiah.lott
 */
public class TestTool extends ToolReference implements ITool {

	private String prefix;
	
	public TestTool(String prefix, ITool parent) {
		super(parent);
		this.prefix = prefix;
	}

	public String getToolCommand() {
		return prefix+parent.getToolCommand();
	}
	
}
